-- phpMyAdmin SQL Dump
-- version 2.10.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: localhost
-- Généré le : Mer 30 Janvier 2008 à 17:51
-- Version du serveur: 5.0.41
-- Version de PHP: 5.2.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Base de données: `dicoweb`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `lien`
-- 

CREATE TABLE `lien` (
  `url` varchar(100) NOT NULL,
  `mot` varchar(20) NOT NULL,
  `comment` varchar(255) NOT NULL,
  PRIMARY KEY  (`url`,`mot`),
  KEY `mot` (`mot`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `lien`
-- 

INSERT INTO `lien` (`url`, `mot`, `comment`) VALUES 
('http://fr.wikipedia.org/wiki/Processus', 'processus', ''),
('http://www.dicofr.com/cgi-bin/n.pl/dicofr/definition/20010101004118', 'processus', '?!');

-- --------------------------------------------------------

-- 
-- Structure de la table `mot_cle`
-- 

CREATE TABLE `mot_cle` (
  `mot` varchar(20) NOT NULL,
  `def` varchar(200) NOT NULL,
  `cha_num` int(11) NOT NULL,
  PRIMARY KEY  (`mot`),
  KEY `cha_num` (`cha_num`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `mot_cle`
-- 

INSERT INTO `mot_cle` (`mot`, `def`, `cha_num`) VALUES 
('fonction', 'Une action de l''ordinateur, définie par une instruction spéciale. COS, EOF ,INSTR ,LEFTS ET TAN sont des exemples de fonctions GW-BASIC. ', 2),
('processus', 'Succession d''étapes élémentaires permettant d''aboutir à un résultat. Permet de décrire un système. ', 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `theme`
-- 

CREATE TABLE `theme` (
  `cha_num` int(11) NOT NULL auto_increment,
  `cha_nom` varchar(30) NOT NULL,
  PRIMARY KEY  (`cha_num`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- 
-- Contenu de la table `theme`
-- 

INSERT INTO `theme` (`cha_num`, `cha_nom`) VALUES 
(1, 'Système d''information'),
(2, 'Programmation');

-- 
-- Contraintes pour les tables exportées
-- 

-- 
-- Contraintes pour la table `lien`
-- 
ALTER TABLE `lien`
  ADD CONSTRAINT `lien_ibfk_1` FOREIGN KEY (`mot`) REFERENCES `mot_cle` (`mot`);

-- 
-- Contraintes pour la table `mot_cle`
-- 
ALTER TABLE `mot_cle`
  ADD CONSTRAINT `mot_cle_ibfk_1` FOREIGN KEY (`cha_num`) REFERENCES `theme` (`cha_num`);
